Public Class clsUitvoering

    '-- Fields --
    Private msUitvoeringID As String 'UitvoeringID
    Private msGroepID As String 'GroepID
    Private msLiedID As String 'LiedID
    Private msGenreID As String 'GenreID
    Private msAlbumID As String 'AlbumID
    '-- Properties --
    Public Property UitvoeringID() As String
        Get
            Return Me.msUitvoeringID
        End Get
        Set(ByVal Value As String)
            Me.msUitvoeringID = Value.Trim
        End Set
    End Property

    Public Property GroepID() As String
        Get
            Return Me.msGroepID
        End Get
        Set(ByVal Value As String)
            Me.msGroepID = Value.Trim
        End Set
    End Property

    Public Property LiedID() As String
        Get
            Return Me.msLiedID
        End Get
        Set(ByVal Value As String)
            Me.msLiedID = Value.Trim
        End Set
    End Property

    Public Property GenreID() As String
        Get
            Return Me.msGenreID
        End Get
        Set(ByVal Value As String)
            Me.msGenreID = Value.Trim
        End Set
    End Property

    Public Property AlbumID() As String
        Get
            Return Me.msAlbumID
        End Get
        Set(ByVal Value As String)
            Me.msAlbumID = Value.Trim
        End Set
    End Property
    '-- Constructors--
    Public Sub New(ByVal sUitvoeringID As String, ByVal sGroepID As String, ByVal sLiedID As String, ByVal sGenreID As String, ByVal sAlbumID As String)
        Me.UitvoeringID = sUitvoeringID
        Me.GroepID = sGroepID
        Me.LiedID = sLiedID
        Me.GenreID = sGenreID
        Me.AlbumID = sAlbumID
    End Sub



    '-- Methoden --
    Public Overrides Function toString() As String
        Return "UitvoeringsID: " & Me.msUitvoeringID & " GroepID: " & Me.msGroepID & " LiedID: " & Me.msLiedID & " GenreID: " & Me.msGenreID & " AlbumID: " & Me.msAlbumID
    End Function
    ''Public Overloads Function toString() As String
    ''    Return "REK: " & Me.msRek & "  VAK:  " & Me.msVak & "  SCHAP:  " & Me.msSchap & "  SOORT:  " & Me.msSoort & "  MAX:  " & Me.msMaxAantal

    ''End Function

    'Public Overrides Function toString() As String
    '    Return "Rek: " & Me.msRek & " Vak: " & Me.msVak & " Schap: " & Me.msSchap & " Max: " & Me.msMaxAantal & " " & Me.msSoort & "s"
    'End Function



    ''-- Events --

End Class
